FROM golang:1.23-bullseye

# Installer ffmpeg et dépendances
RUN apt-get update && \
    apt-get install -y ffmpeg && \
    apt-get clean && rm -rf /var/lib/apt/lists/*

# Définir le dossier de travail
WORKDIR /app

# Copier les fichiers du projet
COPY . .

# Télécharger les dépendances Go
RUN go mod download

# Compiler l'application
RUN go build -o main .

# Exposer le port
EXPOSE 4000

# Lancer l'exécutable
CMD ["./main"]
